Get Many Schedules
curl --request GET \
--url https://api.lemlist.com/api/schedules \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.lemlist.com/api/schedules"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.lemlist.com/api/schedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api.lemlist.com/api/schedules")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lemlist.com/api/schedules",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"schedules": [
{
"_id": "skd_iQiNG7VinWIUkgLy1",
"name": "Custom Schedule",
"secondsToWait": 1200,
"timezone": "Europe/Paris",
"start": "09:00",
"end": "18:00",
"weekdays": [
1,
2,
3,
4
],
"public": true,
"teamId": "tea_8QvkOiBfPdb2ZRhHi",
"createdBy": "usr_ahfFktBBHUIxbVG5P",
"createdAt": "2025-10-27T09:41:11.187Z"
},
{
"_id": "skd_u6cfmo0a7pgwfup9i",
"name": "Default schedule",
"secondsToWait": 1200,
"timezone": "Europe/Paris",
"start": "09:00",
"end": "18:00",
"weekdays": [
1,
2,
3,
4,
5
],
"teamId": "tea_8QvkOiBfPdb2ZRhHi",
"createdBy": "usr_ahfFktBBHUIxbVG5P",
"createdAt": "2025-10-27T07:01:04.041Z"
},
{
"_id": "skd_nNGfP0HEkRYJLW4qA",
"name": "Default schedule",
"secondsToWait": 1200,
"timezone": "Asia/Seoul",
"start": "09:00",
"end": "18:00",
"weekdays": [
1,
2,
3,
4,
5
],
"teamId": "tea_8QvkOiBfPdb2ZRhHi",
"createdBy": "usr_ahfFktBBHUIxbVG5P",
"createdAt": "2025-10-24T09:37:25.040Z"
},
{
"_id": "skd_kgykTULiqy42doHxY",
"name": "Default schedule",
"secondsToWait": 1200,
"timezone": "Asia/Seoul",
"start": "09:00",
"end": "18:00",
"weekdays": [
1,
2,
3,
4,
5
],
"teamId": "tea_8QvkOiBfPdb2ZRhHi",
"createdBy": "usr_ahfFktBBHUIxbVG5P",
"createdAt": "2025-10-24T07:24:44.785Z"
},
{
"_id": "skd_SvcCMF1LTI3mgzmCW",
"name": "Default schedule",
"secondsToWait": 1200,
"timezone": "Europe/Sofia",
"start": "09:00",
"end": "18:00",
"weekdays": [
1,
2,
3,
4,
5
],
"teamId": "tea_8QvkOiBfPdb2ZRhHi",
"createdBy": "usr_46he8cjrZ7s0IQi53",
"createdAt": "2025-10-20T13:13:34.680Z"
}
],
"pagination": {
"totalRecords": 3039,
"currentPage": 1,
"nextPage": 2,
"totalPage": 608
}
}Bad teamThe authentication you supplied is incorrectSchedules
Get Many Schedules
Retrieves all schedules for your team.
GET
/
schedules
Get Many Schedules
curl --request GET \
--url https://api.lemlist.com/api/schedules \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.lemlist.com/api/schedules"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.lemlist.com/api/schedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api.lemlist.com/api/schedules")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lemlist.com/api/schedules",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"schedules": [
{
"_id": "skd_iQiNG7VinWIUkgLy1",
"name": "Custom Schedule",
"secondsToWait": 1200,
"timezone": "Europe/Paris",
"start": "09:00",
"end": "18:00",
"weekdays": [
1,
2,
3,
4
],
"public": true,
"teamId": "tea_8QvkOiBfPdb2ZRhHi",
"createdBy": "usr_ahfFktBBHUIxbVG5P",
"createdAt": "2025-10-27T09:41:11.187Z"
},
{
"_id": "skd_u6cfmo0a7pgwfup9i",
"name": "Default schedule",
"secondsToWait": 1200,
"timezone": "Europe/Paris",
"start": "09:00",
"end": "18:00",
"weekdays": [
1,
2,
3,
4,
5
],
"teamId": "tea_8QvkOiBfPdb2ZRhHi",
"createdBy": "usr_ahfFktBBHUIxbVG5P",
"createdAt": "2025-10-27T07:01:04.041Z"
},
{
"_id": "skd_nNGfP0HEkRYJLW4qA",
"name": "Default schedule",
"secondsToWait": 1200,
"timezone": "Asia/Seoul",
"start": "09:00",
"end": "18:00",
"weekdays": [
1,
2,
3,
4,
5
],
"teamId": "tea_8QvkOiBfPdb2ZRhHi",
"createdBy": "usr_ahfFktBBHUIxbVG5P",
"createdAt": "2025-10-24T09:37:25.040Z"
},
{
"_id": "skd_kgykTULiqy42doHxY",
"name": "Default schedule",
"secondsToWait": 1200,
"timezone": "Asia/Seoul",
"start": "09:00",
"end": "18:00",
"weekdays": [
1,
2,
3,
4,
5
],
"teamId": "tea_8QvkOiBfPdb2ZRhHi",
"createdBy": "usr_ahfFktBBHUIxbVG5P",
"createdAt": "2025-10-24T07:24:44.785Z"
},
{
"_id": "skd_SvcCMF1LTI3mgzmCW",
"name": "Default schedule",
"secondsToWait": 1200,
"timezone": "Europe/Sofia",
"start": "09:00",
"end": "18:00",
"weekdays": [
1,
2,
3,
4,
5
],
"teamId": "tea_8QvkOiBfPdb2ZRhHi",
"createdBy": "usr_46he8cjrZ7s0IQi53",
"createdAt": "2025-10-20T13:13:34.680Z"
}
],
"pagination": {
"totalRecords": 3039,
"currentPage": 1,
"nextPage": 2,
"totalPage": 608
}
}Bad teamThe authentication you supplied is incorrect
The response includes schedule details along with pagination information.
Authorizations
Query Parameters
Was this page helpful?